package textedefilant;

import javax.swing.*;
import java.awt.*;

class Defilement extends Thread {
  private JLabel texte;
  private JFrame fentre;
  private int largeurTexte;
  public Defilement(JLabel texte, JFrame fentre) {
    this.texte = texte;
    this.fentre = fentre;
    texte.setLocation(fentre.getWidth(), 0);
  }
  synchronized public void changeTexte(String message) {
    message += " ";
    texte.setText(message);
    largeurTexte = texte.getFontMetrics(texte.getFont()).stringWidth(message);
    texte.setBounds(texte.getX(), 0, largeurTexte, 50);
  }
  public void run() {
    try {
      while (true) {
        Point point = texte.getLocation();
        if (point.x < -largeurTexte) texte.setLocation(fentre.getWidth(), 0);
        else texte.setLocation(point.x-1, 0);
        sleep(10);
      }
    }
    catch (InterruptedException e) {}
  }
}