package textedefilant;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.borland.jbcl.layout.*;

public class Cadre extends JFrame {
  JPanel contentPane;
  BorderLayout borderLayout1 = new BorderLayout();
  JPanel panneauSlection = new JPanel();
  JTextField votreTexte = new JTextField();
  JButton boutonChanger = new JButton();
  JPanel panneauTexte = new JPanel();
  JLabel texte = new JLabel();
  Defilement defilement;

  /**Construire le cadre*/
  public Cadre() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  /**Initialiser le composant*/
  private void jbInit() throws Exception  {
    //setIconImage(Toolkit.getDefaultToolkit().createImage(Cadre.class.getResource("[Votre icne]")));
    contentPane = (JPanel) this.getContentPane();
    contentPane.setLayout(borderLayout1);
    this.setSize(new Dimension(300, 250));
    this.setTitle("Texte dfilant");
    votreTexte.setText("Votre texte");
    votreTexte.setColumns(17);
    boutonChanger.setText("Changer");
    boutonChanger.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        boutonChanger_actionPerformed(e);
      }
    });
    texte.setFont(new java.awt.Font("Dialog", 1, 24));
    texte.setForeground(Color.blue);
    panneauTexte.setLayout(null);
    panneauTexte.setBackground(new Color(255, 255, 112));
    panneauTexte.setBorder(BorderFactory.createLoweredBevelBorder());
    panneauTexte.setPreferredSize(new Dimension(1, 40));
    contentPane.setBackground(Color.orange);
    contentPane.add(panneauSlection, BorderLayout.SOUTH);
    panneauSlection.add(votreTexte, null);
    panneauSlection.add(boutonChanger, null);
    contentPane.add(panneauTexte, BorderLayout.NORTH);
    panneauTexte.add(texte, null);
    defilement = new Defilement(texte, this);
    defilement.changeTexte("Votre texte");
    defilement.start();
  }
  /**Remplac, ainsi nous pouvons sortir quand la fentre est ferme*/
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }

  void boutonChanger_actionPerformed(ActionEvent e) {
    defilement.changeTexte(votreTexte.getText());
  }
}